function show_text()
{
	dir()//先处理目录
	var str=mainFrame.document.all.files_str.value
	var arr=str.split("$#")
	var table_str=""//字符串
	var span_overflow="<span class=overflow1 onMouseOver='drs(this.innerHTML)' onMouseOut='nd();'>"
	var td_move="onmouseover=\"this.style.background='#F1F8FC';\" onMouseOut=\"this.style.background='#ffffff';\" style='cursor:default;'"
	var tr,td
	table_str+=("<table width=100% cellspacing=1 cellpadding=4 border=0 bgcolor=#CDE2F3>")
	table_str+="<tr bgcolor=#ffffff>"

	for(var i=0;i<arr.length;i++)//
	{
		if(arr[i]!="")
		{
			var arr1=arr[i].split("|@")
			if (arr1.length==4)//说明是类
			{
			}
			else//具体产品
			{
				var name=arr1[0]
				var id=  arr1[1]
				var price=arr1[3]
				var jianjie=arr1[4]
				var className=arr1[5]
				var pic_x
				var kw,show_name=name//show_name
				if (mainFrame.document.all.keywords){kw=mainFrame.document.all.keywords.value}//如果mainFrame.document.all.keywords存在
				if(kw!="")
				{
					show_name=name.replace(kw,'<font color=red><b>'+kw+'</b></font>')
					jianjie=jianjie.replace(kw,'<font color=red><b>'+kw+'</b></font>')
				}//改变搜索关键字为红色
				((i%5)==0)?(tr="</tr><tr bgcolor=#ffffff>"):(tr="")//3代表每3列
				var a_move=" onMouseOver=drs('"+className+"') onMouseOut='nd()' "
				var a="<a "+a_move+" href=javascript:look_open('look.asp?id="+id+"','','scrollbars=yes,resizable=yes')>"+show_name+"</a>"
				td="<td "+td_move+">"+a+"</td>"
				table_str+=tr
				table_str+=td
			}	
		}
	}
	table_str+=("</tr></table>")
	mainFrame.document.all.div_list.innerHTML=table_str
	mainFrame.loaded()//调整窗口高度
}////////结束



function show_list()
{
	dir()//先处理目录
	var str=mainFrame.document.all.dir_str.value//目录
	str+='$#'+mainFrame.document.all.files_str.value
	var arr=str.split("$#")
	var table_str=""//字符串
	var span_overflow="<span class=overflow1 onMouseOver='drs(this.innerHTML)' onMouseOut='nd();'>"
	var tr_move="onmouseover=\"this.style.background='#F1F8FC';\" onMouseOut=\"this.style.background='#ffffff';\" style='cursor:default;'"
	table_str+=("<table width=100% cellspacing=1 border=0 bgcolor=#CDE2F3>")
	table_str+="<tr bgcolor=#70A2E4 height=26><td></td><td>名称</td><td>类别</td><td align=center width=30>价格</td><td align=center>下单数量</td></tr>"

	for(var i=0;i<arr.length;i++)//
	{
		if(arr[i]!="")
		{
			var arr1=arr[i].split("|@")
			if (arr1.length==4)//说明是类
			{
				var name=arr1[0]
				var id=  arr1[1]
				table_str+="<tr bgcolor=#ffffff><td width=20><img src=images/forder_xiao.gif></td><td width=30%><span class=overflow1 onMouseOver='drs(this.innerHTML)' onMouseOut='nd();'><a href=class_main.asp?classid="+id+">"+name+"</a></span></td><td>目录</td><td></td><td></td></tr>"
			}
			else//具体产品
			{
				var name=arr1[0]
				var id=  arr1[1]
				var price=arr1[3]
				var jianjie=arr1[4]
				var pic_x
				var kw,show_name=name//show_name
				if (mainFrame.document.all.keywords){kw=mainFrame.document.all.keywords.value}//如果mainFrame.document.all.keywords存在
				if(kw!="")
				{
					show_name=name.replace(kw,'<font color=red><b>'+kw+'</b></font>')
					jianjie=jianjie.replace(kw,'<font color=red><b>'+kw+'</b></font>')
				}//改变搜索关键字为红色
				var button="<input type=button style='height:18' onclick=but('"+id+"','"+name+"','"+arr1[3]+"'," //按钮的前半节，下面用，调用函数,arr1[3]是价格
				var count_value=""
				if (eval("parent.dindanFrame.document.all.count_"+id))//如果已经在右边下过单了。
				{
					obj_count=eval("parent.dindanFrame.document.all.count_"+id)
					count_value=obj_count.value//填入右边的值
				}
				input="<input size=3 id=count_"+id+" value='"+count_value+"' onBlur=onlyNum("+id+",'"+name+"',"+price+",this)>"
				table_str+=("<tr bgcolor=#ffffff "+tr_move+"><td width=20><img src=images/logo8.gif></td><td width=50>"+span_overflow+"<a href=javascript:look_open('look.asp?id="+id+"','','scrollbars=yes,resizable=yes')>"+show_name+"</a></span></td> <td  style='padding-left:8;padding-right:8;' width=20%>"+span_overflow+arr1[5]+"</span></td> <td style='padding-left:8;padding-right:8;' nowrap align=right>￥"+arr1[3]+"</td>  <td nowrap align=center>&nbsp; "+input+button+0+") value=0> "+button+1+") value=1> "+button+2+ ") value=2> "+button+3+ ") value=3> "+button+4+ ") value=4>  "+button+5+ ") value=5> "+button+6+ ") value=6> "+button+7+ ") value=7> "+button+8+ ") value=8> "+button+9+ ") value=9></td></tr>")
			}	
		}
	}
	table_str+=("</table>")
	mainFrame.document.all.div_list.innerHTML=table_str
	mainFrame.loaded()//调整窗口高度
}////////结束


function show_pic()
{
	dir()//先处理目录
	var product_name=mainFrame.document.all.product_name.value//产品名称
	var product_class=mainFrame.document.all.product_class.value//产品类别
	var str=mainFrame.document.all.dir_str.value
	str+='$#'+mainFrame.document.all.files_str.value
	str=str.replace(/\r\n/g,"&lt;br&gt;")
	str=str.replace(/ /g,"&nbsp;")
	var arr=str.split("$#")
	var table_str=""
	for(var i=0;i<arr.length;i++)//
	{
		if(arr[i]!="")
		{
			var arr1=arr[i].split("|@")
			
			table_str+=("<table width=132 height=150  style='float:left'>")//表头
			if (arr1.length==4)//说明是类
			{
				var className=arr1[0]
				var classid=  arr1[1]
				var show_content="open"
				var a= " onClick=parent.show("+classid+") href=?classid="+classid
				table_str+="  <tr><td width=8></td><td align=center class=table_border  border=0 ><iframe width=100 height=100  src='class_img.asp?classID="+classid+"' frameborder=0 scrolling=no></iframe></td><td width=8></td></tr>"
				table_str+="<tr><td></td><td height=38 align=center valign=top><span class=overflow2 onMouseOver=drs(\""+show_content+"\") onMouseOut='nd();'><a "+a+">"+className+"</a></span></td><td></td></tr>"//parent.show()显示
			}
			else//具体产品
			{
				var name=arr1[0],id=arr1[1],className=arr1[5]
				var kw,show_name=name//show_name
				if (mainFrame.document.all.keywords){kw=mainFrame.document.all.keywords.value}//如果mainFrame.document.all.keywords存在
				if(kw!=""){show_name=name.replace(kw,'<font color=red><b>'+kw+'</b></font>')}//改变搜索关键字为红色
				var pic_x="../upfile/img.asp?id="+id//图片地址
				var lan=""
				
				var show_content=product_name+":"+name+"&lt;br&gt;"+product_class+":"+className+"&lt;br&gt;"+arr1[4]
				
				table_str+=("<tr><td width=12></td><td align=center class=table_border><a href=javascript:look_open('look.asp?id="+id+"','','scrollbars=yes,resizable=yes')><img onload='return z(this)'  src="+pic_x+" border=0 onMouseOver=drs('"+show_content+"') onMouseOut='nd();'></a></td><td width=12></td></tr>")
				table_str+=("<tr><td></td><td height=38 align=center valign=top> <span class=overflow2><a href=look.asp?id="+id+" target=_blank  onMouseOver=drs('"+show_content+"') onMouseOut='nd();'>"+show_name+"<br>("+className+")</a></span></td><td></td></tr>")
			}
				
		}
	}
	table_str+=("</table>")//表尾
	mainFrame.document.all.div_list.innerHTML=table_str
	mainFrame.loaded()//调整窗口高度
}






function show_more()

{
	dir()//先处理目录
	var product_picture=mainFrame.document.all.product_picture.value//产品图片
	var product_description=mainFrame.document.all.product_description.value//产品描述
	var product_name=mainFrame.document.all.product_name.value//产品名称
	var product_class=mainFrame.document.all.product_class.value//产品类别
	var product_color=mainFrame.document.all.product_color.value//产品颜色
	var product_price=mainFrame.document.all.product_price.value//产品价格
	
	var str=mainFrame.document.all.files_str.value
	var arr=str.split("$#")
	var table_str=""
	for(var i=0;i<arr.length;i++)//
	{
		if(arr[i]!="")
		{
			var arr1=arr[i].split("|@")
			table_str+=("<table width=100%  border=0 cellspacing=1 cellpadding=4   background=images/main_top_01.gif  style='work-break:break-all'>")//表头
			table_str+=("<tr height=29 align=center><td  background=images/main_top_02.gif><font color=#E6F8FF>"+product_picture+"</font></td><td colspan=3  background=images/main_top_02.gif><font color=#E6F8FF>"+product_description+"</font></td></tr>")
			if (arr1.length==4)//说明是类
			{
				var className=arr1[0]
				var classid=  arr1[1]
				//dir(classid,className)// 调用类别处理函数
			}
			else//具体产品
			{
				var name=arr1[0]
				var id=  arr1[1]
				var jianjie=arr1[4]
				jianjie=jianjie.replace(/\n/g,"<br>")
				var kw//show_name
				if (mainFrame.document.all.keywords){kw=mainFrame.document.all.keywords.value}//如果mainFrame.document.all.keywords存在
				if(kw!="")
				{
					name=name.replace(kw,'<font color=red><b>'+kw+'</b></font>')
					jianjie=jianjie.replace(kw,'<font color=red><b>'+kw+'</b></font>')
				}//改变搜索关键字为红色
				var pic_x="../upfile/img.asp?id="+id//图片地址
				var lan=""
//0表示没有图片
				table_str+=("<tr><td width=122 rowspan=5 bgcolor=#b0dafa align=center><TABLE onMouseOver=this.style.backgroundColor='#ff6600' onMouseOut=this.style.backgroundColor='' cellSpacing=1 cellPadding=2 bgColor=#e1e1e1 border=0><TR><TD width=100 height=100 bgColor=#ffffff align=center><a href=javascript:look_open('look.asp?id="+id+"','','scrollbars=yes,resizable=yes')> <img  onload='return z(this)' src="+pic_x+"  border=0></a> </td></tr></table></td><td bgcolor=#cde7fb nowrap =80>"+product_name+":</td><td><a href=javascript:look_open('look.asp?id="+id+"','','scrollbars=yes,resizable=yes')>"+name+"</a></td><td bgcolor='#dceefb' rowspan='4'  valign=top><font color=#0066CC>"+jianjie+"</font></td></tr>")
				table_str+=("<tr><td nowrap>"+product_class+":</td><td width=100>"+arr1[5]+"</td> </tr>")
				table_str+=("<tr><td>"+product_color+":</td><td>"+arr1[6]+"</td></tr>")
				but="&nbsp;&nbsp;<input type=button value=购买 onclick='javascript:parent.order();'>"
				table_str+=("<tr><td>"+product_price+":</td><td>￥"+arr1[3]+but+"</td></tr>")
				
				table_str+=("</table><hr noshade=noshade color=#2e93dd size=1 /><br>")//表尾
			}	
		}
	}
	mainFrame.document.all.div_list.innerHTML=table_str
	mainFrame.loaded()//调整窗口高度
}


function show_more2()

{
	dir()//先处理目录
	var product_picture=mainFrame.document.all.product_picture.value//产品图片
	var product_description=mainFrame.document.all.product_description.value//产品描述
	var product_name=mainFrame.document.all.product_name.value//产品名称
	var product_class=mainFrame.document.all.product_class.value//产品类别
	var product_color=mainFrame.document.all.product_color.value//产品颜色
	var product_price=mainFrame.document.all.product_price.value//产品价格
	
	var str=mainFrame.document.all.files_str.value
	var arr=str.split("$#")
	var table_str=""
	for(var i=0;i<arr.length;i++)//
	{
		if(arr[i]!="")
		{
			var arr1=arr[i].split("|@")
			table_str+=("<table width=100%  border=0 cellspacing=1 cellpadding=4   background=images/main_top_01.gif  style='work-break:break-all'>")//表头

			if (arr1.length==4)//说明是类
			{
				var className=arr1[0]
				var classid=  arr1[1]
				//dir(classid,className)// 调用类别处理函数
			}
			else//具体产品
			{
				var name=arr1[0]
				var id=  arr1[1]
				var jianjie=arr1[4]
				jianjie=jianjie.replace(/\n/g,"<br>")
				var kw//show_name
				if (mainFrame.document.all.keywords){kw=mainFrame.document.all.keywords.value}//如果mainFrame.document.all.keywords存在
				if(kw!="")
				{
					name=name.replace(kw,'<font color=red><b>'+kw+'</b></font>')
					jianjie=jianjie.replace(kw,'<font color=red><b>'+kw+'</b></font>')
				}//改变搜索关键字为红色
				var pic_x="../upfile/img.asp?id="+id
				table_str+=("<tr height=29 ><td colspan=4><font color=#ffffff>"+arr1[5] +" >> <a href=javascript:look_open('look.asp?id="+id+"','','scrollbars=yes,resizable=yes')><font color=#ffffff>"+name+"</font></a></font></td></tr>")
				table_str+=("<tr><td width=122 rowspan=5 bgcolor=#ffffff align=center><TABLE onMouseOver=this.style.backgroundColor='#ff6600' onMouseOut=this.style.backgroundColor='' cellSpacing=1 cellPadding=2 bgColor=#e1e1e1 border=0><TR><TD width=100 height=100 bgColor=#ffffff align=center><a href=javascript:look_open('look.asp?id="+id+"','','scrollbars=yes,resizable=yes')> <img  onload='return z(this)' src="+pic_x+"  border=0></a> </td></tr></table></td><td bgcolor='#ffffef'   valign=top>")
				
	but="&nbsp;&nbsp;<input type=button value=购买 onclick='javascript:parent.order();'>"
	table_str+="<table width=100% border=0>"


	table_str+="<tr><td nowrap width=60>"+product_color+":</td><td width=150>"+arr1[6]+"</td><td nowrap width=60>"+product_price+":</td><td >￥"+arr1[3]+but+"</td></tr>"

	table_str+="</table>"
	table_str+="<hr color=#ecece6 size=1><font color=#d35700>"+jianjie+"</font></td></tr>"

				table_str+=("</table><br><br>")//表尾
			}	
		}

	}
	
	mainFrame.document.all.div_list.innerHTML=table_str
	
	mainFrame.loaded()//调整窗口高度	
}



function dir()
{

	var str=mainFrame.document.all.dir_str.value
	if (str!="")//不为空说明 有类别
	{
		var arr=str.split("$#")
		var div_str="<div>"
		for(var i=0;i<arr.length;i++)//
		{
			if(arr[i]!="")
			{
				var arr1=arr[i].split("|@")
				var className=arr1[0]
				var classid=  arr1[1]
				var id=arr1[2]
				var depth=arr1[3]*3//3个空格
				//alert(depth)
				var nbsp=""
				var forder="<img id=img_"+classid+" src='images/+.gif' style=cursor:hand onclick=show_hidden("+classid+") border=0>"
				var a="<a  onclick='show_hidden("+classid+");show("+classid+")' href=class_main.asp?classid="+classid+" target=mainFrame>"+className+"</a>"
				var span="<span style='width:130;height:13;overflow:hidden' title='"+className+"'>"+a+"</span>"
				for(var j=1;j<=depth;j++){nbsp+="&nbsp;"}
				div_str+="<div><div><table cellpadding=0 cellspacing=0 width='100%'><tr><td  nowrap width=1>"+nbsp+'</td><td width=1>'+forder+"</td><td><div class=left_bg_1 style='padding-top:10px' id=div__"+classid+">&nbsp;"+span+"</div></td></tr></table></div></div>"
				div_str+="<div style=display:none id=div_"+classid+">"+nbsp+"loading...</div>"//隐藏的
			}
		}
		div_str+="</div>"
		var div_id=eval("parent.div_"+id)//要取一个返回的iD
		if (parent.eval("parent.div_"+id))//如果div_id存在
		{
			parent.eval("parent.div_"+id).innerHTML=div_str
			parent.eval("parent.div_"+id).style.display=''//装有内容了，不能再隐藏
		}
	}
	
	if (mainFrame.current_id)//如果imainFrame.current_id存在
	{
		if (mainFrame.current_id.value!="")//mainFrame.current_id.value不为空
		{
			if(eval("div_"+mainFrame.document.all.current_id.value).innerHTML.replace(/&nbsp;/g,"")=="loading...")//还是loading...,说明没有内容
			{
				eval("div_"+mainFrame.document.all.current_id.value).style.display="none"//隐藏起来
			}
		}
	}
}
